USE %GEN
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 16@ ALIAS 18 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 16@ ALIAS 213 INTO COM=COMRF(COMRES)
JOIN 6 ALIAS 26 INTO TIPOA=S1[1,1] CODANAGR=S1[2,6]
JOIN 8 TO 16@ ALIAS 28 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 313 INTO COM=COMNASC
JOIN %UCC ALIAS 14 INTO CODTAB=S9

END
DESCRIPTION
BEGIN
  %GEN->* "GEN"
  16@->* "Anagrafica persone fisiche e giuridiche"
  18@->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  26@->* "Anagrafica persone fisiche e giuridiche"
  28@->* "Anagrafica persone fisiche"
  313@->* "Comuni"
  14@->* "UCC"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 7
END

SECTION BODY ODD 73

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 71 4 ""
 FIELD 14@->S0
END

GRUPPO 2
BEGIN
 KEY "DATI DICHIARANTE (ALIAS 16 e 18)"
END

STRINGA 3
BEGIN
 KEY "COGNOME"
 PROMPT 10 10 ""
 FIELD 16@->RAGSOC[1,30]
END

STRINGA 4
BEGIN
 KEY "NOME"
 PROMPT 64 10 ""
 FIELD 16@->RAGSOC[31,0]
END

DATA 5
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 97 10 ""
 PICTURE "# #^ # #^^ # # #"
 FIELD 18@->DATANASC
 FORMAT "1444-"
END

STRINGA 6
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 122 10 ""
 FIELD 18@->SESSO
END

STRINGA 7
BEGIN
 KEY "STATO CIVILE"
 PROMPT 131 10 ""
 FIELD 18@->STATCIV
END

STRINGA 8
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 10 12 ""
 FIELD 113@->DENCOM
END

STRINGA 9
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 72 12 ""
 FIELD 113@->PROVCOM
END

STRINGA 10
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 81 12 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 16@->COFI
END

STRINGA 11
BEGIN
 KEY "RESIDENTE IN: COMUNE"
 PROMPT 25 14 ""
 FIELD 213@->DENCOM
END

STRINGA 12
BEGIN
 KEY "RESIDENTE IN: PROV. (sigla)"
 PROMPT 72 14 ""
 FIELD 213@->PROVCOM
END

STRINGA 13
BEGIN
 KEY "RESIDENTE IN: VIA"
 PROMPT 81 14 ""
 FIELD 16@->INDRES
END

STRINGA 14
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO"
 PROMPT 127 14 ""
 FIELD 16@->CIVRES
END

GRUPPO 15
BEGIN
 KEY "DATI CONIUGE (ALIAS 26 e 28)"
END

STRINGA 16
BEGIN
 KEY "COGNOME"
 PROMPT 10 17 ""
 FIELD 26@->RAGSOC[1,30]
END

STRINGA 17
BEGIN
 KEY "NOME"
 PROMPT 64 17 ""
 FIELD 26@->RAGSOC[31,0]
END

DATA 18
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 105 17 ""
 PICTURE "# #^ # #^^ # # #"
 FIELD 28@->DATANASC
 FORMAT "1444-"
END

STRINGA 19
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 131 17 ""
 FIELD 28@->SESSO
END

STRINGA 21
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 10 19 ""
 FIELD 313@->DENCOM
END

STRINGA 22
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 72 19 ""
 FIELD 313@->PROVCOM
END

STRINGA 23
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 81 19 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 26@->COFI
END

NUMERO 24
BEGIN
 KEY "PERIODO DI RIFERIMENTO 1"
 PROMPT 77 25 ""
 PICTURE "# #"
 FIELD I0
END

NUMERO 25
BEGIN
 KEY "PERIODO DI RIFERIMENTO 2"
 PROMPT 94 25 ""
 PICTURE "# #"
 FIELD I1
END

STRINGA 26
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 9 29 ""
 FIELD S2
END

NUMERO 27
BEGIN
 KEY "GRUPPO"
 PROMPT 32 29 ""
 FIELD I2
END

NUMERO 28
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 57 29 ""
 MESSAGE COPY,1@
 PICTURE "###.###.###.###^^^"
 FIELD R0
END

NUMERO 29
BEGIN
 KEY "INTERESSI"
 PROMPT 86 29 ""
 MESSAGE ADD,1@
 PICTURE "###.###.###.###^^^"
 FIELD R1
END

NUMERO 30
BEGIN
 KEY "TOTALE (a)"
 PROMPT 115 29 ""
 GROUP  1
 MESSAGE COPY,2@
 PICTURE "###.###.###.###^^^"
END

STRINGA 31
BEGIN
 KEY "CODICE TRIBUTO SOPRATASSA"
 PROMPT 9 35 ""
 FIELD S3
END

NUMERO 32
BEGIN
 KEY "GRUPPO SOPRATASSA"
 PROMPT 21 35 ""
 FIELD I3
END

NUMERO 33
BEGIN
 KEY "IMPORTO (b)"
 PROMPT 41 35 ""
 MESSAGE ADD,2@
 PICTURE "###.###.###.###^^^"
 FIELD R2
END

NUMERO 34
BEGIN
 KEY "TOTALE DA VERSARE (a+b)"
 PROMPT 115 39 ""
 GROUP  2
 PICTURE "###.###.###.###^^^"
END

STRINGA 35
BEGIN
 KEY "CODICE CONTRIBUENTE Dichiarante"
 PROMPT 4 53 "# # # # # # # # # # # # # # # # # # # #"
 PICTURE "###    ##"
 FIELD 16@->CODCONTR
END

STRINGA 36
BEGIN
 KEY "CODICE CONTRIBUENTE Coniuge"
 PROMPT 4 56 "# # # # # # # # # # # # # # # # # # # #"
 PICTURE "###    ##"
 FIELD 26@->CODCONTR
END

STRINGA 37
BEGIN
 KEY "CENTRO SERVIZI: Provincia e Denominazione"
 PROMPT 74 56 ""
 MESSAGE _CENSERoUFFIMP,213@,16@
END

DATA 38
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 22 62 ""
 PICTURE "@ @^   @ @^ ^^@ @"
 FIELD D0
 FORMAT "1444-"
END

END

END
